#include "os.h"

int main()
{
    k_clear_screen();

    // GDT, IDT, ISRS, IRQ, timer, keyboard
    gdt_install();
    idt_install();
    isrs_install();
    irq_install();
    timer_install();
    keyboard_install();
    paging_install();
    sti();

    kheap = create_heap(0x700000, 0x800000, 0x900000, 0, 0);

    set_cursor(0,0);
    printformat("   ************************************************\n");
	printformat("   *          Welcome to PrettyOS 0.06            *\n");
	printformat("   *          Paging and Heap is activated        *\n");
	printformat("   ************************************************\n");

    settextcolor(4,1);

	int y=10;
	while(TRUE)
	{
	    sleepSeconds(20);
	    if(y>24) y=24;
	    set_cursor(0,++y);
	    printformat("10 sec have passed");

	    if (y==24)
	    {
	        ULONG* address_ptr = (ULONG*)0xA0000000;
            ULONG  page_fault  = *address_ptr;
	    }
	};

	return 0;
};
